petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStrncat

Concatenates a string onto a given string, up to a given length

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrncat(char s[],const char t[],size_t n)

Not Collective

### Input Parameters

| s | - pointer to string to be added to end
| t | - string to be added to
| n | - maximum length to copy

Notes: Not for use in Fortran

### See Also

PetscStrcpy(), PetscStrncpy(), PetscStrcat()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/maros.c.html